Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Payments
Reports
Calculators
Images
Financial Passport
Users
Accounts
Transactions
get

/user/surveys/{key}

Retreive a Survey by the given key (which is unique and identifies a single Survey). This endpoint will return either a blank Survey (if the User hasn’t answered it before), or it will return the most recent answered Survey by that User. If the latest query param is set to true, this endpoint will always return a blank copy of the most recent published Survey.

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
1 Query Parameter
6 Headers

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
number
1 validation + required
key
string
1 validation + required
name
string
1 validation
icon_url
string
1 validation
display_text
string
1 validation
metadata
object
questions
array[object]
required

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
key
$$.env
1 variable not set
Authorization